Bug 1709429 - SCAP 1.3 datastreams should be evaluated without downloading remote data
Summary: SCAP 1.3 datastreams should be evaluated without downloading remote data
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: openscap
Version: 8.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: 8.1
Assignee: Jan Černý
QA Contact: BaseOS QE Security Team
Mirek Jahoda
URL:
Whiteboard:
Depends On: 1709423
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-13 15:12 UTC by Jan Černý
Modified: 2019-11-15 13:59 UTC (History)
9 users (show)

Fixed In Version: openscap-1.3.1-0.el8
Doc Type: Enhancement
Doc Text:
.*OpenSCAP* now supports SCAP 1.3 The *OpenSCAP* suite now supports data streams conforming to the latest version of the SCAP standard - SCAP 1.3. You can now use SCAP 1.3 data streams, such as those contained in the `scap-security-guide` package, in the same way as SCAP 1.2 data streams without any additional usability restrictions.
Clone Of: 1709423
Environment:
Last Closed: 2019-11-05 21:15:41 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:3445 None None None 2019-11-05 21:15:43 UTC

Comment 1 Watson Yuuma Sato 2019-05-13 15:27:51 UTC
The fix is about discerning return output when remote content was not downloaded.

Comment 6 Jan Černý 2019-07-04 08:41:36 UTC
I would like to remove the AC: When unable to download remote resources, failures encountered when using 1.2 and 1.3 datastreams are the same.
However, I can't edit Matej Tyc's comments. Matej, Could you remove it, please?

Comment 7 Matěj Týč 2019-07-10 14:49:30 UTC
One can't edit BZ comments. Here are the updated AC:

AC:
 * OpenSCAP can perform a successful scan using 1.3 datastream without supplying --fetch-remote-resources option.
 * Scans using 1.2 and 1.3 datastreams that have the same rules/profiles the same produce identical results.

Datastreams for testing have to contain a least one remote component.

Comment 11 errata-xmlrpc 2019-11-05 21:15:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:3445


Note You need to log in before you can comment on or make changes to this bug.